/* install.cmd */
/* Create ipchat program object on OS/2 desktop */

/* For easiest installation, put this file in the same directory as the
   ipchat executable.

   To run this file, just type the name of this file to the OS/2 command
   line or double click on it's icon.
*/


/* Get the operating system and path to this REXX file */
PARSE SOURCE operSystem . sourceFile

IF \(operSystem = "OS/2")
THEN DO
  SAY "This file is for OS/2 only"
  EXIT
END

'@ECHO OFF'

/* Load all RexxUtil functions */
CALL rxfuncadd 'sysloadfuncs', 'rexxutil', 'sysloadfuncs'
CALL sysloadfuncs

CALL SysCls
SAY "*************************************************************************"
SAY "*                                                                       *"
SAY "*                     IPChat OS/2 INSTALL PROGRAM                       *"
SAY "*                                                                       *"
SAY "*************************************************************************"
SAY ""

/* Extract the complete path to directory where install.cmd is */
ipchatdir = FILESPEC("drive", sourceFile)FILESPEC("path", sourceFile)

/* Check to see if ipchat2.exe is in the same directory */
CALL SysFileTree ipchatdir"ipchat2.exe", 'file', 'F'
IF file.0 = 0
THEN DO
  SAY "ipchat2 not found in the same directory as",
      FILESPEC("name", sourceFile)
  /* Ask user for right path untill ipchat2.exe found or user gives no path */
  DO UNTIL \(file.0 = 0)
    SAY ""
    SAY "Enter full path to ipchat2 files or just press ENTER to exit"
    PULL ipchatdir
    IF ipchatdir = ""
    THEN EXIT
    IF (FILESPEC("drive", ipchatdir) = "") | (FILESPEC("path", ipchatdir) = "")
    THEN SAY 'You must give full path in format "d:\path\"'
    ELSE DO
      IF \(SUBSTR(ipchatdir, length(ipchatdir), 1) = "\" )
      THEN ipchatdir = ipchatdir"\"
      CALL SysFileTree ipchatdir"ipchat2.exe", 'file', 'F'
      IF file.0 = 0
      THEN SAY "Can not find" ipchatdir"ipchat2.exe - please give the right directory"
    END
  END
  SAY ""
END

progtype = ""
setup = 'PROGTYPE='progtype';EXENAME='ipchatdir'ipchat2.exe;STARTUPDIR='ipchatdir''

CALL CHAROUT , "Creating ipchat2 object... "
result = SysCreateObject('WPProgram', 'IPChat', '<WP_DESKTOP>', setup)

IF result = 0
THEN DO
  SAY ""
  SAY "Can not create! Perhaps there already is a ipchat2 object."
  CALL CHAROUT , "Want to update the existing object (Y/N) ? "
  PULL answer
  IF \(SUBSTR(answer, 1, 1) = "Y")
  THEN EXIT
  result = SysCreateObject('WPProgram', 'IPChat', '<WP_DESKTOP>', setup, "update")
  IF result = 0
  THEN DO
    SAY "Still can not create!"
    EXIT
  END
END

SAY "Done!"
SAY ""

EXIT
